Subject: Re: [PATCH v1 2/8] net: dsa: Add DSA driver for Hirschmann Hellcreek switches

From: Kurt Kanzenbach <[email-masked]>
Date: Thu, 16 Jul 2020 12:06:16 +0200

On Thu Jul 16 2020, Vladimir Oltean wrote:
> On Thu, Jul 16, 2020 at 11:23:26AM +0200, Kurt Kanzenbach wrote:
>> 
>> As far as I know there is no port forwarding matrix. Traffic is
>> forwarded between the ports when they're members of the same
>> vlan. That's why I created them by default.
>> 
>
> And your hardware doesn't have ACL support, does it (from the fact
> that you're installing PTP traps via the FDB, I would say no)?  You
> could have added a match-all entry on all traffic coming from a
> certain source port, and a 'redirect-to-cpu' action. This would have
> also achieved port separation in standalone mode.

Yeah, that'd have worked. But, there is no ACL support.

Thanks,
Kurt